[SOLVED] UP8 crashes

Post your update and upgrade related errors here
Forum rules
Before you post please read this

Re: UP8 crashes

Postby Monsta on Sun Feb 23, 2014 7:00 am

This issue with the incompatible extension proves that Gnome Shell, after 3 years since its inception, still has the quality of an amateur's hack.

  • They still change the internals as they want, making the extensions break with a new Gnome Shell version.
  • The whole extension mechanism is still totally insecure. One flawed extension may break the whole shell. And no malicious actions need to be performed: the author of the extension just needs to sit back and do nothing for about a year, never adjusting his code for the new versions of Gnome Shell.
  • The breakage is triggered by seemingly unrelated actions like launching gedit or libreoffice. Could you guess that it can trigger the bug in an extension that just adds some configuration settings to the menu on the panel?
  • The error message doesn't give any hints about what's broken, not even about which extension caused the issue. Without searching through the logs, it's impossible to say what went wrong and how to fix it.
Monsta
Level 8
Level 8
 
Posts: 2415
Joined: Fri Aug 19, 2011 3:46 am

Linux Mint is funded by ads and donations.
 

Re: UP8 crashes

Postby killer de bug on Sun Feb 23, 2014 7:16 am

You can add that breaking GTK 3 with each new version of Gnome is annoying theme designers who can't afford to redesign everything every 6 months.

But it's fine for Gnome Dev. They want users to use only their default theme and extensions. :roll:
If I have seen further it is by standing on the shoulders of giants. [Isaac Newton]
User avatar
killer de bug
Level 7
Level 7
 
Posts: 1758
Joined: Tue Jul 08, 2008 1:49 pm
Location: Austria

Re: UP8 crashes

Postby enginco on Sun Feb 23, 2014 7:38 am

Monsta wrote:They still change the internals as they want, making the extensions break with a new Gnome Shell version.
The whole extension mechanism is still totally insecure.


I agree with you Monsta.
They have to check extension's codes before add "extensions.gnome.org" and gnome dist-uprade should remove before upgrade processes or warn me.
enginco
Level 1
Level 1
 
Posts: 14
Joined: Tue Oct 09, 2012 9:56 am

Previous

Return to Update/Upgrade Issues

Who is online

Users browsing this forum: No registered users and 4 guests